package com.wecloud.netty.dispatch.extend;

import com.wecloud.netty.dispatch.common.BaseRequest;
import io.netty.channel.Channel;

/**
 * @author lixiaozhong
 */
public interface ActionMessage {

    void setMessage(BaseRequest message);

    BaseRequest getMessage();

    String getAction();

    void setAction(String action);

    void setSenderClientId(Long senderClientId);

    Long getSenderClientId();

    void setSenderChannel(Channel channel);

    Channel getSenderChannel();
}
